﻿using DemoControls;
using LEase;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading;
using System.Windows.Forms;

namespace Demo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        Thread t,t2,t3;

        void pShow()
        {
            Thread.Sleep(2000);
            if(lMaskLayer1 != null&& lMaskLayer1.L_IsShow)
                lMaskLayer1.L_HideMask();
            lProgressBar1.L_StopWave();

        }

        void pShow2()
        {
            for(int i = 0; i < 20; i++)
            {
                pAdd($"项：{i}");
                Thread.Sleep(50);
            }

            if (lMaskLayer2 != null && lMaskLayer2.L_IsShow)
                lMaskLayer2.L_HideMask();
        }

        void pAdd(string s)
        {
            if (listBox1.InvokeRequired)
                listBox1.Invoke(new Action<string>(pAdd), new object[] { s });
            else
                listBox1.Items.Add(s);
        }

        void pShow3()
        {
            for(int i = 0; i < 100; i++)
            {
                pValue(i);
                Thread.Sleep(20);
            }
            if (lMaskLayer3 != null && lMaskLayer3.L_IsShow)
                lMaskLayer3.L_HideMask();
        }

        void pValue(int i)
        {
            if (lProgressBar2.InvokeRequired)
                lProgressBar2.Invoke(new Action<int>(pValue), new object[] { i });
            else
                lProgressBar2.L_Value = i;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            if (t != null) t.Abort();
            if (t2 != null) t2.Abort();
            if (t3 != null) t3.Abort();
        }

        private void lTipBar1_LClose(object sender, EventArgs e)
        {
            lMaskLayer4.L_HideMask();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            lMaskLayer4.L_ShowMask();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            button2.Controls.Add(lMaskLayer1);
            lMaskLayer1.L_ShowMask();
            lProgressBar1.L_StartWave();
            t = new Thread(pShow);
            t.Start();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            panel1.Controls.Add(lMaskLayer2);
            lMaskLayer2.L_ShowMask();
            t2 = new Thread(pShow2);
            t2.Start();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            MessageBox.Show("点击按钮");
        }

        private void button4_Click(object sender, EventArgs e)
        {
            lMaskLayer3.L_ShowMask();
            t3 = new Thread(pShow3);
            t3.Start();
        }

        private void button7_Click(object sender, EventArgs e)
        {
            lMaskLayer5.L_ShowMask();
        }

    }
}
